%bcond_with tests

Summary:        Convert POD to Markdown
Name:           perl-Pod-Markdown
Version:        3.300
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Markdown
Source0:        https://cpan.metacpan.org/authors/id/R/RW/RWSTAUNER/Pod-Markdown-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  findutils make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)

BuildRequires:  perl(Encode) perl(parent) perl(Pod::Simple) >= 3.27
BuildRequires:  perl(Pod::Simple::Methody) perl(URI::Escape)
%if %{with tests}
BuildRequires:  perl(blib) perl(Exporter) perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions) perl(File::Temp)
BuildRequires:  perl(IO::Handle) perl(IPC::Open3) perl(lib)
BuildRequires:  perl(Symbol) perl(Test::Differences)
BuildRequires:  perl(Test::More) >= 0.88 perl(utf8) perl(version)
%endif

%description
This module subclasses Pod::Parser and converts POD to Markdown.

%prep
%autosetup -n Pod-Markdown-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%if %{with tests}
%check
make test
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man[13]/*
%{_bindir}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.300-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.300-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.300-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.300-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 3.300-1
- initial build
